Bug 1398198 (CVE-2016-9556) - CVE-2016-9556 ImageMagick: Heap-buffer overflow in IsPixelGray in pixel-accessor.h
Summary: CVE-2016-9556 ImageMagick: Heap-buffer overflow in IsPixelGray in pixel-acces...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9556
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161119,reported=2...
Depends On: 1413898 1540256 1540257
Blocks: 1381146
TreeView+ depends on / blocked
 
Reported: 2016-11-24 09:48 UTC by Andrej Nemec
Modified: 2019-06-08 21:36 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-21 05:25:44 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-11-24 09:48:41 UTC
A heap-buffer overflow vulnerability was found in ImageMagick in IsPixelGray function in pixel-accessor.h triggered by opening a malicious image.

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/ce98a7acbcfca7f0a178f4b1e7b957e419e0cc99

References:

http://seclists.org/oss-sec/2016/q4/469

Comment 1 Adam Mariš 2017-01-17 09:20:11 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1413891]

Comment 2 Adam Mariš 2017-01-17 09:31:51 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1413898]

Comment 3 Huzaifa S. Sidhpurwala 2017-01-20 09:49:49 UTC
Upstream bug:

https://github.com/ImageMagick/ImageMagick/issues/301


Note You need to log in before you can comment on or make changes to this bug.